CVE-2016-10124

Priority
Medium
Description
An issue was discovered in Linux Containers (LXC) before 2016-02-22. When
executing a program via lxc-attach, the nonpriv session can escape to the
parent session by using the TIOCSTI ioctl to push characters into the
terminal's input buffer, allowing an attacker to escape the container.
References
Package
Source: lxc (LP Ubuntu Debian)
Upstream:released (1:2.0.0-1)
Ubuntu 17.10 (Artful Aardvark):not-affected (2.0.8-0ubuntu3)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):released (1.0.10-0ubuntu1.1)
Ubuntu Core 15.04:DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (2.0.7-0ubuntu1~16.04.2)
Ubuntu 17.04 (Zesty Zapus):not-affected (2.0.7-0ubuntu2)
Patches:
Upstream:https://github.com/lxc/lxc/commit/e986ea3dfa4a2957f71ae9bfaed406dd6e1ffff6
Upstream:https://github.com/lxc/lxc/commit/5eacdc3dbd0e45abf3cc90cf0216a7f8ee560abf
More Information

Updated: 2017-08-11 23:54:18 UTC (commit 13081)